<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<div class="ngb-tp-input-container ngb-tp-hour stepper-control">

  <button class="btn btn-link ng-star-inserted" type="button" [disabled]="isDisabled" (click)="increment(step);">
    <span class="chevron stepper-control-button-icon-up"></span>

    <span class="sr-only">Increment</span>
  </button>

  <input aria-label="Value"
         class="form-control stepper-control-input"
         [id]="controlId"
         [disabled]="isDisabled"
         [maxLength]="(digits == null ? 1000000 : digits)"
         [placeholder]="placeholder == null ? '' : placeholder"
         (focusout)="reformatInput()"
         (input)="parseInput(inputElementRef.value)"
         #inputElementRef
         type="text">

  <button class="btn btn-link" type="button" [disabled]="isDisabled" (click)="decrement(step);">
    <span class="chevron bottom stepper-control-button-icon-up stepper-control-button-icon-down"></span>

    <span class="sr-only">Decrement</span>
  </button>
</div>
